TagLib::Shorten::Tag Class Reference

A Shorten file tag implementation. More...

`#include <shortentag.h>`

Inheritance diagram for TagLib::Shorten::Tag:
[legend]
Collaboration diagram for TagLib::Shorten::Tag:
[legend]

## Public Member Functions

| Tag ()
| ~Tag () override
| Tag (const Tag &)=delete
Tag & | operator= (const Tag &)=delete
String | title () const override
String | artist () const override
String | album () const override
String | comment () const override
String | genre () const override
unsigned int | year () const override
unsigned int | track () const override
void | setTitle (const String &title) override
void | setArtist (const String &artist) override
void | setAlbum (const String &album) override
void | setComment (const String &comment) override
void | setGenre (const String &genre) override
void | setYear (unsigned int year) override
void | setTrack (unsigned int track) override
PropertyMap | properties () const override
PropertyMap | setProperties (const PropertyMap &) override
Public Member Functions inherited from TagLib::Tag
| Tag (const Tag &)=delete
Tag & | operator= (const Tag &)=delete
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
virtual bool | isEmpty () const

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)
static String | joinTagValues (const StringList &values)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Detailed Description

A Shorten file tag implementation.

Tags for Shorten files.

This is a stub class; Shorten files do not support tags.

## Constructor & Destructor Documentation

## Tag() [1/2]

TagLib::Shorten::Tag::Tag | ( |  | ) |

Referenced by operator=(), and Tag().

## ~Tag()

TagLib::Shorten::Tag::~Tag | ( |  | ) |

override virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Tag() [2/2]

TagLib::Shorten::Tag::Tag | ( | const Tag & |  | ) |

delete

References Tag().

## Member Function Documentation

## album()

String TagLib::Shorten::Tag::album | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns an empty string.

Implements TagLib::Tag.

Referenced by setAlbum().

## artist()

String TagLib::Shorten::Tag::artist | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns an empty string.

Implements TagLib::Tag.

Referenced by setArtist().

## comment()

String TagLib::Shorten::Tag::comment | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns an empty string.

Implements TagLib::Tag.

Referenced by setComment().

## genre()

String TagLib::Shorten::Tag::genre | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns an empty string.

Implements TagLib::Tag.

Referenced by setGenre().

## operator=()

Tag & TagLib::Shorten::Tag::operator= | ( | const Tag & |  | ) |

delete

References Tag().

## properties()

PropertyMap TagLib::Shorten::Tag::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function.

Reimplemented from TagLib::Tag.

## setAlbum()

void TagLib::Shorten::Tag::setAlbum | ( | const String & | album | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References album().

## setArtist()

void TagLib::Shorten::Tag::setArtist | ( | const String & | artist | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References artist().

## setComment()

void TagLib::Shorten::Tag::setComment | ( | const String & | comment | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References comment().

## setGenre()

void TagLib::Shorten::Tag::setGenre | ( | const String & | genre | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References genre().

## setProperties()

PropertyMap TagLib::Shorten::Tag::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function.

Reimplemented from TagLib::Tag.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setTitle()

void TagLib::Shorten::Tag::setTitle | ( | const String & | title | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References title().

## setTrack()

void TagLib::Shorten::Tag::setTrack | ( | unsigned int | track | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References track().

## setYear()

void TagLib::Shorten::Tag::setYear | ( | unsigned int | year | ) |

override virtual

Not supported by Shorten files and therefore ignored.

Implements TagLib::Tag.

References year().

## title()

String TagLib::Shorten::Tag::title | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns an empty string.

Implements TagLib::Tag.

Referenced by setTitle().

## track()

unsigned int TagLib::Shorten::Tag::track | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns 0.

Implements TagLib::Tag.

Referenced by setTrack().

## year()

unsigned int TagLib::Shorten::Tag::year | ( |  | ) | const

override virtual

Not supported by Shorten files. Therefore always returns 0.

Implements TagLib::Tag.

Referenced by setYear().

The documentation for this class was generated from the following file:

- shortentag.h